package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SaleContractFactory
{
    private SaleContractFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.ISaleContract getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISaleContract)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("32E60957") ,com.kingdee.eas.custom.gggl.ISaleContract.class);
    }
    
    public static com.kingdee.eas.custom.gggl.ISaleContract getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISaleContract)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("32E60957") ,com.kingdee.eas.custom.gggl.ISaleContract.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.ISaleContract getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISaleContract)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("32E60957"));
    }
    public static com.kingdee.eas.custom.gggl.ISaleContract getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISaleContract)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("32E60957"));
    }
}